Mailinglist Archive: opensuse-updates (56 mails)

< Previous Next >
openSUSE-SU-2012:0897-1: moderate: gdk-pixbuf: Fixed a integer overflow in the XBM loader
openSUSE Security Update: gdk-pixbuf: Fixed a integer overflow in the XBM
loader
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:0897-1
Rating: moderate
References: #762735
Cross-References: CVE-2012-2370
Affected Products:
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

Fix integer overflow in XBM file loader. Fix bnc#762735,
CVE-2012-2370.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-409

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-409

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

gdk-pixbuf-debugsource-2.24.0-2.4.1
gdk-pixbuf-devel-2.24.0-2.4.1
gdk-pixbuf-devel-debuginfo-2.24.0-2.4.1
gdk-pixbuf-query-loaders-2.24.0-2.4.1
gdk-pixbuf-query-loaders-debuginfo-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-debuginfo-2.24.0-2.4.1

- openSUSE 12.1 (x86_64):

gdk-pixbuf-query-loaders-32bit-2.24.0-2.4.1
gdk-pixbuf-query-loaders-debuginfo-32bit-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-32bit-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-debuginfo-32bit-2.24.0-2.4.1

- openSUSE 12.1 (noarch):

gdk-pixbuf-lang-2.24.0-2.4.1

- openSUSE 12.1 (ia64):

gdk-pixbuf-query-loaders-debuginfo-x86-2.24.0-2.4.1
gdk-pixbuf-query-loaders-x86-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-debuginfo-x86-2.24.0-2.4.1
libgdk_pixbuf-2_0-0-x86-2.24.0-2.4.1

- openSUSE 11.4 (i586 x86_64):

gdk-pixbuf-debugsource-2.22.1-7.1
gdk-pixbuf-devel-2.22.1-7.1
gdk-pixbuf-devel-debuginfo-2.22.1-7.1
gdk-pixbuf-query-loaders-2.22.1-7.1
gdk-pixbuf-query-loaders-debuginfo-2.22.1-7.1
libgdk_pixbuf-2_0-0-2.22.1-7.1
libgdk_pixbuf-2_0-0-debuginfo-2.22.1-7.1

- openSUSE 11.4 (x86_64):

gdk-pixbuf-query-loaders-32bit-2.22.1-7.1
gdk-pixbuf-query-loaders-debuginfo-32bit-2.22.1-7.1
libgdk_pixbuf-2_0-0-32bit-2.22.1-7.1
libgdk_pixbuf-2_0-0-debuginfo-32bit-2.22.1-7.1

- openSUSE 11.4 (noarch):

gdk-pixbuf-lang-2.22.1-7.1

- openSUSE 11.4 (ia64):

gdk-pixbuf-query-loaders-debuginfo-x86-2.22.1-7.1
gdk-pixbuf-query-loaders-x86-2.22.1-7.1
libgdk_pixbuf-2_0-0-debuginfo-x86-2.22.1-7.1
libgdk_pixbuf-2_0-0-x86-2.22.1-7.1


References:

http://support.novell.com/security/cve/CVE-2012-2370.html
https://bugzilla.novell.com/762735


< Previous Next >
This Thread
  • No further messages